Bug 183203 - Upgrade eats config files; breaks networking.
Upgrade eats config files; breaks networking.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-27 08:24 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 11:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade.log (59.90 KB, text/plain)
2006-02-28 16:40 EST, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2006-02-27 08:24:36 EST
Upgrading from FC4 to FC5t3 stomped on /etc/sysconfig/network and
/etc/nsswitch.conf, which meant that I fell off the NIS domain and name
resolution stopped working -- it seems that if your nsswitch.conf contains

hosts: files nis nisplus dns

then you get 'No such file or directory' when trying to look up any host name.
Comment 1 Jeremy Katz 2006-02-27 13:07:34 EST
This on ppc64?
Comment 2 David Woodhouse 2006-02-27 14:16:02 EST
Nah. One of my few remaining i386 boxen. It ate /etc/hosts too.
Comment 3 Paul Nasrat 2006-02-28 16:07:21 EST
Were rpmsave/rpmnew files generated at all? Can you attach the upgrade.log, etc.
Comment 4 David Woodhouse 2006-02-28 16:40:32 EST
Created attachment 125425 [details]
upgrade.log

Upgrade log -- it's hades.cambridge.redhat.com, so you ought to be able to poke
further at it yourself if you need more.
Comment 5 G.Wolfe Woodbury 2006-03-13 02:38:04 EST
still present in rawhide of 2006-03-12.
/etc/hosts is overwritten, /etc/sysconfig/network is overwritten
Comment 6 Paul Nasrat 2006-03-13 11:47:05 EST
Commited fix for this

Note You need to log in before you can comment on or make changes to this bug.